//
//  TSPublicContent.swift
//  AIRingtone
//
//  Created by 100Years on 2025/3/20.
//


import AVFoundation
import Alamofire

class TSDownloadManager {
    

    static func downloadFile(
        urlString: String,
        fileEx:String? = nil,
    missingEx:String? = nil,
        progressHandler: ((Double) -> Void)? = nil,
        completion: @escaping (URL?, Error?) -> Void
    ) -> DownloadRequest? {
        
        if let fileName = TSBusinessFileManager.getLocalURL(urlString: urlString,fileEx:fileEx,missingEx:missingEx){
            completion(fileName,nil)
            return nil
        }
    
        guard let cachesAllPath = TSBusinessFileManager.generateCachesURL(from: urlString, fileEx: fileEx, missingEx: missingEx,completion: { string, error in
            completion(nil,error)
        })else { return nil }
        

        return nil
//        return TSNetworkShared.downloadFile(urlString: urlString,to: cachesAllPath, progressHandler:progressHandler,completion: completion)
    }
    
//
//    
//    
//    static func getDownLoadRing(ringModel:TSRingModel,complete:@escaping (URL?,Bool)->Void){
//        let urlString = ringModel.audioUrl
//        if let path = TSDownloadManager.getRingLocalURL(ringModel: ringModel) {
//            complete(path,false)
//        }else{
//            _ = TSDownloadManager.downloadFile(urlString:urlString,missingEx: "mp3") { url, error in
//                if let path = url {
//                    complete(path,true)
//                }else{
//                    complete(nil,true)
//                }
//            }
//        }
//    }
    
//    static func getDownLoadVideo(urlString:String,complete:@escaping (URL?,Bool)->Void){
//        if let path = TSDownloadManager.getRingLocalURL(urlString: urlString) {
//            complete(path,false)
//        }else{
//            _ = TSDownloadManager.downloadFile(urlString:urlString,missingEx: "mp3") { url, error in
//                if let path = url {
//                    complete(path,true)
//                }else{
//                    complete(nil,true)
//                }
//            }
//        }
//    }

}
//
//extension TSDownloadManager {
//    
//    
//    //获取 TSRingModel 本地的缓存
//    public static func getRingLocalURL(ringModel: TSRingModel)->URL?{
//        if ringModel.documentPath.count == 0 {
//            return nil
//        }
//        
//        let documentPath = ringModel.documentPath.fillDocumentURL
//        if TSFileManagerTool.fileExists(at: documentPath) {
//            return documentPath
//        }
//        
//        let urlString = ringModel.audioUrl
//        guard let fileName = TSBusinessFileManager.getLocalURL(urlString: urlString,fileEx:nil,missingEx: "mp3") else{
//            return nil
//        }
//        return fileName
//    }
//    
//    //获取 urlstring 本地的缓存 url path
//    public static func getRingLocalURL(urlString: String)->URL?{
//        guard let fileName = TSBusinessFileManager.getLocalURL(urlString: urlString,fileEx:nil,missingEx: "mp3") else{
//            return nil
//        }
//        return fileName
//    }
//
//    //获取 urlstring 本地的缓存 url path
//    public static func generateRingSaveLocalURL(name:String,timestamp:Bool = true,fileExtension:String = "mp3")->URL{
//        var fileName = name
//        if timestamp {
//            fileName = fileName + String(Date.timestampInt)
//        }
//        
//        fileName = fileName + "." + fileExtension
//        return TSBusinessFileManager.saveRingPathURL.appendingPathComponent(fileName)
//    }
//    
//}
